{% extends 'base.html.twig' %}
{% block title %}  Liste des comptes utilisateurs{% endblock %}

{% block body %}
    
    <div class="page-header">
        
        <h1>
            Utilisateurs 
            <small>
                <i class="ace-icon fa fa-angle-double-right"></i>
                Liste des comptes utilisateurs
            </small>
        </h1>
        <div align="right" style="margin-right: 15px">

            <a href="{{ path('user_new') }}" class="btn btn-white btn-info btn-bold">
                <i class="ace-icon fa fa-pencil bigger-120"></i>
                Nouveau utilisateur
            </a>

        </div>

    </div>




    {% for flash_message in app.session.flashBag.get('notice') %}
        <div class="alert alert-block alert-success message_flash">
            <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
        </div>
    {% endfor %}



    <div class="row">
        <div class="col-xs-12">




            <table id="grid" class="display  table  table-bordered table-hover" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Nom</th>
                        <th>Prénom</th>
                        <th>Nom d'utilisateur</th>
                        <th>Adresse e-mail</th>
                        <th class="param-table-txt">Modifier</th>
                        <th class="param-table-txt">Consulter</th>
                        <th class="param-table-txt">Supprimer</th>
                        <th class="param-table-txt">Activer</th>
                    </tr>
                </thead>
                {#<tbody>
                    
                
                </tbody> #}
            </table>



        </div>
    </div>


{% endblock body %}
{% block javascripts %}
    {{ parent() }}

    <script>
        document.addEventListener("DOMContentLoaded", function (event) {
            $('#grid').show(500);
        });


        var dataTable = $('#grid').DataTable({
            "iDisplayLength": 10,
            "lengthMenu": [[10, 15, 25, 50, 100, 200, 20000000], [10, 15, 25, 50, 100, 200, "All"]],
            "order": [[0, "desc"]],
            "columnDefs": [
                {"orderable": false, "targets": 1}
            ],
            "language": {
                "url": "{{ asset('assets/js/jquery.dataTablesFrench.json') }}",
                "processing": true
            },
            "serverSide": false,
            "ajax": {
                url: Routing.generate('utilisateur_list'), // json datasource
                type: "get"

            }
        });






        $('#grid').on('click', '.delete_action', function (event) {
            //     $('.delete_action').click(function (event) {
            var id = $(this).attr('rel');
            bootbox.confirm({
                title: "Confirmation",
                message: "<h5>Voulez vous vraiment supprimer cet utilisateur !</h5>",
                buttons: {
                    cancel: {
                        label: '<i class="fa fa-times"></i> Non Merci'
                    },
                    confirm: {
                        label: '<i class="fa fa-check"></i> Oui'
                    }
                },
                callback: function (confirmation) {
                    if (confirmation == true) {

                        $.ajax({
                            url: Routing.generate('user_delete', {id: id}),
                            success: function (result) {
                                var parsed = jQuery.parseJSON(result);
                                $(".message_flash").show().html("<button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>");
                                dataTable.ajax.reload();
                            }


                        });


                    }
                }
            });


            event.preventDefault();
        });






        $('#grid').on('click', '.disable_action', function (event) {

            //  $('.active_user').click(function (event) {
            //  alert($(this).attr('rel'));


            var id = $(this).attr('rel');
            var etat = $(this).attr('href');
            var text = "";
            if (etat == 1) {
                text = "Désactiver";

            } else {
                etat = 0;
                text = "Activer";

            }

            bootbox.confirm({
                title: "Confirmation",
                message: "<h5>Vous Voulez Vraiment " + text + " ce statut !</h5>",
                buttons: {
                    cancel: {
                        label: '<i class="fa fa-times"></i> Non Merci'
                    },
                    confirm: {
                        label: '<i class="fa fa-check"></i> Oui'
                    }
                },
                callback: function (confirmation) {

                    if (confirmation == true) {
                        $.ajax({
                            url: Routing.generate('user_disable', {id: id, etat: etat}),
                            success: function (result) {
                                var parsed = jQuery.parseJSON(result);
                                $(".message_flash").show().html("<button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>");
                                dataTable.ajax.reload();

                            }


                        });


                    }
                }
            });


            event.preventDefault();
        });

    </script>

{% endblock %}
{#

{% extends 'base.html.twig' %}

{% block body %}
    <h1>Users list</h1>

    <table>
        <thead>
            <tr>
                <th>Id</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
                <td><a href="{{ path('user_show', { 'id': user.id }) }}">{{ user.id }}</a></td>
                <td>
                    <ul>
                        <li>
                            <a href="{{ path('user_show', { 'id': user.id }) }}">show</a>
                        </li>
                        <li>
                            <a href="{{ path('user_edit', { 'id': user.id }) }}">edit</a>
                        </li>
                    </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <ul>
        <li>
            <a href="{{ path('user_new') }}">Create a new user</a>
        </li>
    </ul>
{% endblock %}
#}